% inidata1.m : Initialise les vecteurs globaux AAi et BBi 
% position des points d'ancrages fixes et mobiles

global Nq AAi BBi Poids FqMin FqMax Qmes dLsat dAsat MyEps itermax
Poids = 5*9.81 ; % Maquette de 5 Kg
FqMin = 2*9.81 ; % Tension minimale des cbles 2 Kg
FqMax = 20*9.81 ; % Tension maximale des cbles 20 Kg
Largeur = 2;     % Largeur de la veine
R = 1;			  % Rayon de la veine
LongT = 0.6	;    % Longueur du T
LargT = 0.2 ;    % Largeur du T
dLsat = 0.1 ;    % Pas maximum autoris en translation pour l'inversion itrative 
dAsat = 0.1 ;    % Pas maximum autoris en rotation pour l'inversion itrative 
MyEps = 1.e-5 ;  % Prcision dsire pour l'inversion de Q=H(Dab)
                 % utilise galement pour l'approximation R=1+
itermax = 20;	  % Nombre max d'itrations pour l'inversion                 

% Points d'ancrages fixes
Nq = 7 ;
dy = R*cos(pi/3);
dz = R*sin(pi/3);
AAi=zeros(3,Nq);
x=Largeur/2;
AAi(:,1)=[x;  0;-R];
AAi(:,2)=[x; dy;dz];
AAi(:,3)=[x;-dy;dz];
x=-Largeur/2;
AAi(:,4)=[x;  0;  R];
AAi(:,5)=[x;-dy;-dz];
AAi(:,6)=[x; dy;-dz];
AAi(:,7)= AAi(:,4);

% Points d'ancrages sur le T
BBi=zeros(3,Nq);
x=-LongT;
d= LargT/2.;
BBi(:,4)=[x;-d;0];
BBi(1,5)=x;
BBi(1,6)=x;
BBi(:,7)=[x;d;0];

% Position mesure pour X, Y, Z, Psi, Theta, Phi ????
Qmes = [1.494992,1.255067,1.332363,0.926188,1.299455,1.244291,0.912307]';
